LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Friends | List of all members
lldb::SBCommand Class Reference

`#include <SBCommandInterpreter.h>`

## Public Member Functions

| SBCommand ()
bool | IsValid ()
const char * | GetName ()
const char * | GetHelp ()
lldb::SBCommand | AddMultiwordCommand (const char *name, const char *help=NULL)
lldb::SBCommand | AddCommand (const char *name, lldb::SBCommandPluginInterface *impl, const char *help=NULL)

## Friends

class | SBDebugger
class | SBCommandInterpreter

## Detailed Description

Definition at line 160 of file SBCommandInterpreter.h.

## Constructor & Destructor Documentation

lldb::SBCommand::SBCommand | ( |  | ) |

## Member Function Documentation

lldb::SBCommand lldb::SBCommand::AddCommand | ( | const char * | name,
|  | lldb::SBCommandPluginInterface * | impl,
|  | const char * | help = `NULL`
| ) |  |

lldb::SBCommand lldb::SBCommand::AddMultiwordCommand | ( | const char * | name,
|  | const char * | help = `NULL`
| ) |  |

const char* lldb::SBCommand::GetHelp | ( |  | ) |

const char* lldb::SBCommand::GetName | ( |  | ) |

bool lldb::SBCommand::IsValid | ( |  | ) |

## Friends And Related Function Documentation

friend class SBCommandInterpreter

friend

Definition at line 184 of file SBCommandInterpreter.h.

friend class SBDebugger

friend

Definition at line 183 of file SBCommandInterpreter.h.

The documentation for this class was generated from the following file:

- SBCommandInterpreter.h